For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Reference - Partner API
      • POSTApprove Contract
      • POSTApprove Custom Rate
      • POSTUpdate Tier
      • GETGet Contract
      • GETGet Custom Rate
      • BuyRates
      • Contract
      • CustomRate
      • POSTEvent: custom-rate.created
      • BaseRate
      • RateObjDuration
      • RateObjDurationEffectiveFrom
      • User
LogoLogo
Reference - Partner APIRates

Get Contract

GET
/v1/contract/:contractId
GET
/v1/contract/:contractId
$curl https://agencyapi.afterpay.com/v1/contract/785389121238 \
> -H "Accept: application/json" \
> -H "User-Agent: User-Agent"
1{
2 "contractId": "785389121238",
3 "effectiveFrom": "2023-09-17T21:41:47.341+00:00",
4 "status": "APPROVED",
5 "countryCode": "US",
6 "buyRates": {
7 "defaultRates": {
8 "variableRatePercentage": "5.00",
9 "fixedRate": "0.30",
10 "fixedRateCurrencyCode": "USD",
11 "rateType": "INTRODUCTORY",
12 "durationInMonths": 3
13 },
14 "tierDetails": [
15 {
16 "tier": 1,
17 "minimumGmv": "0",
18 "maximumGmv": "1000000",
19 "GmvCurrencyCode": "USD",
20 "tieredRates": [
21 {
22 "variableRatePercentage": "3.5",
23 "fixedRate": "0.3",
24 "fixedRateCurrencyCode": "USD",
25 "rateType": "ONGOING"
26 }
27 ]
28 }
29 ]
30 }
31}

Returns details for the volume-based tiered contract between the partner and Afterpay.

Was this page helpful?
Previous

Get Custom Rate

Next
Built with

Path parameters

contractIdstringRequired
The unique ID for the contract between Afterpay and the partner.

Headers

User-AgentstringRequired
AcceptstringRequiredDefaults to application/json
Specifies media types that are acceptable for the response.

Response

Details of the volume-based tiered contract.

contractIdstring
The unique ID for the contract between Afterpay and the partner.
effectiveFromstring

Effective date and time of when the contract applies, using the standard ISO 8601 format, returned in UTC Coordinated Universal Time).

statusenum
Contract status
Allowed values:
countryCodestring

Country code in the two-letter ISO 3166-1 alpha-2 standard format, defining the consumer market for which the contact applies.

buyRatesobject
Buy rates object that details the rates.

Errors

401
Unauthorized Error
404
Not Found Error
503
Service Unavailable Error